/**
 *  Copyright © 2020-2025, Luis Andrés Lange <https://javacomm.net>
 *
 *  This Source Code Form is subject to the terms of the Mozilla Public
 *  License, v. 2.0. If a copy of the MPL was not distributed with this
 *  file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 *  ----------------------------------------------------------------------------
 *
 *  Exhibit B - "Incompatible With Secondary Licenses" Notice
 *
 *  This Source Code Form is "Incompatible With Secondary Licenses",
 *  as defined by the Mozilla Public License, v. 2.0.
 *
 *  In short:
 *  - This file may be used, modified, and distributed under MPL 2.0 only.
 *  - It may NOT be relicensed under GPL, LGPL, AGPL, or any other Secondary License.
 *
 *  Rationale:
 *  - Ensures that the code remains MPL-2.0.
 *  - Avoids legal conflicts with GPL-licensed libraries (e.g., VideoLAN).
 *  - Maximizes usability for commercial and security-critical applications.
 *
 */
package net.javacomm.client.launcher;

import java.awt.Component;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.SwingConstants;
import javax.swing.table.DefaultTableCellRenderer;
import net.javacomm.client.resource.Resource;



public class ZutrittRenderer extends DefaultTableCellRenderer {

  private static final long serialVersionUID = -3237606939824759202L;

  @Override
  public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected,
      boolean hasFocus, int row, int column) {

    if ((row % 2) == 0) {
      if (isSelected) {
        setBackground(Resource.JQUERY_BLAU); // VW_YELLOW
      }
      else {
        setBackground(Resource.JQUERY_BLAU); // Bar
      }
    }
    else {
      if (isSelected) {
        setBackground(Resource.JQUERY_YELLOW); // VW_YELLOW
      }
      else {
        setBackground(Resource.JQUERY_HELLBLAU);
      }
    }
    if (value instanceof JLabel) {
      JLabel label = (JLabel) value;
      label.setHorizontalAlignment(SwingConstants.CENTER);
      label.setOpaque(true);
      if (isSelected) {
        label.setBackground(Resource.JQUERY_YELLOW);
      }
      else {
        label.setBackground(Resource.JQUERY_HELLBLAU);
      }
      return label;
    }
    return this;
  }

}
